Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - n -

- n : sort_by_data
- name : rb_encoding_entry , cfunc_data , ossl_asn1_info_t , OnigToken , CallNode , magic_comment , cmdline_options , fc_result , nkf_native_encoding , OnigEncodingTypeST , WSAMSG , PosixBracketEntryType , zone , nkf_encoding , kwtable , loaded_feature_searching , input_code , backref_name_tag , NameEntry
- name_end : OnigToken , CallNode
- name_len : NameEntry
- name_table : re_pattern_buffer
- namelen : WSAMSG
- narg : ioctl_arg
- native_thread_data : rb_thread_struct
- nd_reserved : RNode
- need_clean : rb_hook_list_struct
- need_yield : rb_global_vm_lock_struct
- nerr : parser_params , cparse_params
- nest_level : BRefNode
- new_path : chdir_data
- new_pgroup_flag : rb_execarg
- new_pgroup_given : rb_execarg
- new_val : GroupNumRemap
- newclass : marshal_compat_t
- newfd : run_exec_dup2_fd_pair
- next : iseq_link_element , ensure_range , glob_pattern , end_proc_data , token_info , RVALUE , heaps_slot , heaps_free_bitmap , gc_list , stack_chunk , force_finalize_list , pipe_list , iseq_compile_data_storage , unlinked_method_entry_list_entry , MT , _FreeNode , st_table_entry , rb_thread_cond_struct , search_path_queue_tag , _NtCmdLineElement , Bigint , trace_var , rb_thread_list_struct , rb_event_hook_struct
- next_byte : rb_transcoding
- next_fiber : rb_fiber_struct
- next_head_exact : QtfrNode
- next_info : rb_transcoding
- next_mutex : rb_mutex_struct
- next_p : argf
- next_table : rb_transcoding
- nfc_buf : nkf_state_t
- nfiles : DIR
- noalloc : finish_writeconv_arg
- node : getaddrinfo_arg , RNode , RVALUE , YYSTYPE
- node_level : iseq_compile_data
- nodes : yaml_document_s
- nonspc : token_info
- nosync : write_arg
- not : type_cclass_key , OnigToken , CtypeNode
- notimp : copy_stream_struct
- now : tr
- nt_base : cparse_params
- ntbl : RHash
- nth : SimpleDateData , ComplexDateData
- null_check : _OnigStackType
- num : reg_named_capture_assign_t , os_each_struct , _OnigStackType , UnsetAddrList , OnigToken , YYSTYPE , RRational
- num_additional : trans_open_t
- num_allocated : rb_econv_t
- num_bins : st_table
- num_call : re_pattern_buffer , ScanEnv
- num_childs : OnigCaptureTreeNodeStruct
- num_comb_exp_check : re_pattern_buffer
- num_entries : st_table
- num_finished : rb_econv_t
- num_mem : ScanEnv , re_pattern_buffer
- num_named : ScanEnv
- num_newer : run_exec_dup2_fd_pair
- num_null_check : re_pattern_buffer
- num_of_elements : OnigCompileInfo
- num_regs : re_registers
- num_repeat : re_pattern_buffer
- num_trans : rb_econv_t
- numiv : RObject
- nx : big_div_struct
- ny : big_div_struct
- nyzero : big_div_struct